Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.tck
Class AbstractComponentFactoryTest

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest

Direct Known Subclasses:
  AdaptingInjectionTestCase, AnnotatedMethodInjectionTestCase, CachingTestCase, ConstructorInjectionTestCase, GuardingTestCase, ImplementationHidingTestCase, LockingTestCase, OptInCachingTestCase, PropertyApplyingTestCase, ReinjectionTestCase, SetterInjectionTestCase, SynchronizingTestCase

    public abstract class AbstractComponentFactoryTest

extends Object

Author:
  Aslak Hellesøy

Field Summary
`protected org.picocontainer.DefaultPicoContainer` | `picoContainer`

Constructor Summary
`AbstractComponentFactoryTest()`

Method Summary
`protected abstract org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `setUp()`
`void` | `testEquals()`
`void` | `testRegisterComponent()`
`void` | `testUnregisterComponent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### picoContainer

    protected org.picocontainer.DefaultPicoContainer picoContainer

Constructor Detail

### AbstractComponentFactoryTest

    public AbstractComponentFactoryTest()

Method Detail

### createComponentFactory

    protected abstract org.picocontainer.ComponentFactory createComponentFactory()

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### testEquals

    public void testEquals()
                    throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testRegisterComponent

    public void testRegisterComponent()
                               throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testUnregisterComponent

    public void testUnregisterComponent()
                                 throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.